Subject: Re: bug#28025: Daemon/server passes string incorrectly to/from Systemd

From: [email-masked]
Date: Thu, 10 Aug 2017 08:54:29 -0400

Arthur Miller <[email-masked]> writes:

> I looked at process-environment var and the content is different,
> but what regards PATH and DICPATH it's same:
>
> Emacs daemon started with systemd as user service:
>
> ("TERM=dumb" "DICPATH=~/.emacs.d/hunspell"
[...]

> Emacs daemon started from shell:
[...]
> "DICPATH=/home/*****/.emacs.d/hunspell"

Could the fact that you have "~" instead of "/home/****/" in the systemd
service be significant?  Does it help to change that?

> I have to admit that I am not very proficient using edebug. To be honest I
> have no idea how to step through code properly with it, and manual does
> not give me much clues. It list all commands but one to use to step
> through.

SPC is the stepping command (should be explained in `(elisp) Using
Edebug').